MC_Query = MC_Query.extend( {
  getHTML: function( mode ) {
    // initialize imagemap elements
    if ( this.imagemap_initialized === false ) {
      var question_jq = this.jq.parent();
      this.im_init( question_jq );
      this.imagemap_initialized = true;
    }

    // start with the query text, if there
    //var html = this.query_text_html();
    // wrap answers in a p tag
    var html = "<fieldset>";

    //Mac VO reads legend twice. We hide it here and update aria-live element when fieldset get focus in DataVisUPD.js
    html += "<legend " + (platform.mac ? "aria-hidden='true'" : "") + "class='query_text' id='textarea_description_question_" + this.query_index + "'>";
    html += this.query_text_html();
    html += "</legend>";

    // Build answer selection
    var is_correct = false;
    for ( var z = 0; z < this.choices.length; z++ ) {
      var index = this.choice_order[ z ];
      // if this is review mode...
      var checked = "";
      var disabled = "";
      var radio_style = "query_mc_other_choice";
      if ( mode == 'review' || mode == 'review_correct_incorrect' || mode == 'preview' ) {
        // if it's the correct choice, it should be marked in green
        if ( index == this.correct_answer_index ) {
          // but only if we're *not* in review_correct_incorrect mode or this is the user's choice
          if ( mode != 'review_correct_incorrect' || index == this.user_answer_index ) {
            radio_style = "query_mc_correct_choice";
          }

          // if this is what the user chose, he got it correct
          if ( index == this.user_answer_index ) {
            is_correct = true;
          }

          // else if it's the user's choice (and this.md.no_correct_answer is not true), it should be marked in red
        } else if ( index == this.user_answer_index && this.md.no_correct_answer != "true" ) {
          radio_style = "query_mc_incorrect_user_choice";
        }

        // and the input should be disabled, unless we're in review_correct_incorrect mode
        if ( mode != "review_correct_incorrect" ) {
          disabled = "disabled";
        }
      }

      // if this is the choice the user clicked, it's checked (regardless of mode)
      if ( index == this.user_answer_index ) {
        checked = "checked";
      }

      var iOS = !!navigator.platform && /iPad|iPhone|iPod/.test( navigator.platform );
      var ua = navigator.userAgent.toLowerCase();
      var isAndroid = ua.indexOf( "android" ) > -1; //&& ua.indexOf("mobile");
      // Create radio button input plus label
      html += "<table class='query_mc_choice_table' border='0' cellpadding='0' cellspacing='0'><tr>"
        + "<td><div class='" + radio_style + "'>";
      // for voiceOver and TalkBack readers
      if ( iOS || isAndroid ) {
        html += "<input class='query_mc_choice_radio' type='radio' name='query_answer_" + this.query_index + "' "
          + "aria-labelledby='textarea_description_question_" + this.query_index + " query_answer_label_" + this.query_index + "_" + index + "' "
          + " id='query_answer_" + this.query_index + "_" + index + "' "
          + " value='" + index + "' "
          + checked + " "
          + disabled + " "
          + " />";
      }
      // for JAWS and NVDA
      else {
        html += "<input class='query_mc_choice_radio' type='radio' name='query_answer_" + this.query_index + "' "
          + "aria-labelledby='query_answer_label_" + this.query_index + "_" + index + "' "
          + " id='query_answer_" + this.query_index + "_" + index + "' "
          + " value='" + index + "' "
          + checked + " "
          + disabled + " "
          + " />";
      }
      html += "</div></td>"
        + "<td>" + this.choice_ids[ z ] + ".</td>"
        + "<td><label id='query_answer_label_" + this.query_index + "_" + index + "' "
        + " for='query_answer_" + this.query_index + "_" + index + "'>"
        + this.choices[ index ]
        + "</label></td>"
        + "</tr></table>";
    }

    // get a possible feedback string; this fn will take account of mode
    html += this.correct_incorrect_feedback( mode, is_correct );

    html += "</fieldset>";

    return html;
  }
} );
