var DESC_GENDER_DIFFERENCES = '<p>The data presented in the bar graph is for “Gender Differences – Overall”.  The <i>X</i> axis represents the different scores obtained for each participant across all five trials. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – Incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct.  </p> <p>There are two bars for each score type, one representing scores for men and one for women. Each bar also has an error bar at the top that includes the frequency or height of the bar in the middle.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  </p> <p>The following table represents the approximate data that displays for this graph.  The error bar range is provided after each frequency, except for “DI”.</p>';

var TABLE_DESC_GENDER_DIFFERENCES = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="2" scope="col">Gender Differences – Overall<br>Frequency and Error Bar Range</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Men</th>' +
  '<th scope="col">Women</th>' +
  '</tr>' +

  '<tr>' +
'<th scope="row">CrMv</td>' +
'<td>10.5 [10-11]</td>' +
'<td>11 [10.5-11.5]</td>' +
'</tr>' +

'<tr>' +
'<th scope="row">CrSt</td>' +
'<td>12.1 [12-12.2]</td>' +
'<td>12.5 [12.4-12.6]</td>' +
'</tr>' +

'<tr>' +
'<th scope="row">InMv</td>' +
'<td>0.7 [0.6-0.8]</td>' +
'<td>0.3 [0.2-0.4]</td>' +
'</tr>' +

'<tr>' +
'<th scope="row">InSt</td>' +
'<td>3.5 [3-4]</td>' +
'<td>2.75 [2.25-3.25]</td>' +
'</tr>' +

'<tr>' +
'<th scope="row">DI</td>' +
'<td>0.8</td>' +
'<td>0.8</td>' +
'</tr>' +
  '</table>';


var DESC_TRIAL_BY_TRIAL = '<p>A bar graph for the “Trial by Trial” data. The <i>X</i> axis represents the different scores obtained for participants for each trial. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – Incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct. </p> <p>There are five bars for each score type, one representing each trial. </p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  The following table represents the approximate data that displays for this graph.</p>';

var TABLE_DESC_TRIAL_BY_TRIAL = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="5" scope="col">Trial by Trial Frequency</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Trial 1</th>' +
  '<th scope="col">Trial 2</th>' +
  '<th scope="col">Trial 3</th>' +
  '<th scope="col">Trial 4</th>' +
  '<th scope="col">Trial 5</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>8.25</td>' +
  '<td>10</td>' +
  '<td>11.25</td>' +
  '<td>12</td>' +
  '<td>12.2</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrSt</td>' +
  '<td>11.8</td>' +
  '<td>12.1</td>' +
  '<td>12.2</td>' +
  '<td>12.3</td>' +
  '<td>12.3</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InMv</td>' +
  '<td>1</td>' +
  '<td>0.5</td>' +
  '<td>0.3</td>' +
  '<td>0.2</td>' +
  '<td>0.1</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InSt</td>' +
  '<td>No data</td>' +
  '<td>4</td>' +
  '<td>2.5</td>' +
  '<td>2</td>' +
  '<td>1.75</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">DI</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '</tr>' +

  '</table>';


var DESC_MEN_TRIAL_BY_TRIAL = '<p>A bar graph for the “Men - Trial by Trial” data. The <i>X</i> axis represents the different scores obtained for male participants for each trial. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – Incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct.</p> <p>There are five bars for each score type, one representing each trial.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  The following table represents the approximate data that displays for this graph.</p>';

var TABLE_DESC_MEN_TRIAL_BY_TRIAL = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="5" scope="col">Men – Trial by Trial Frequency</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Trial 1</th>' +
  '<th scope="col">Trial 2</th>' +
  '<th scope="col">Trial 3</th>' +
  '<th scope="col">Trial 4</th>' +
  '<th scope="col">Trial 5</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>8</td>' +
  '<td>9.75</td>' +
  '<td>11</td>' +
  '<td>11.25</td>' +
  '<td>12</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrSt</td>' +
  '<td>11.5</td>' +
  '<td>12</td>' +
  '<td>12.2</td>' +
  '<td>12.25</td>' +
  '<td>12.25</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InMv</td>' +
  '<td>1.25</td>' +
  '<td>0.75</td>' +
  '<td>0.5</td>' +
  '<td>0.3</td>' +
  '<td>0.25</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InSt</td>' +
  '<td>No data</td>' +
  '<td>4.2</td>' +
  '<td>2.75</td>' +
  '<td>2.5</td>' +
  '<td>2</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">DI</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '</tr>' +

  '</table>';


var DESC_WOMEN_TRIAL_BY_TRIAL = '<p>A bar graph for the “Women - Trial by Trial” data. The <i>X</i> axis represents the different scores obtained for female participants for each trial. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – Incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct.</p> <p>There are five bars for each score type, one representing each trial.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  The following table represents the approximate data that displays for this graph. </p> ';

var TABLE_DESC_WOMEN_TRIAL_BY_TRIAL = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="5" scope="col">Women – Trial by Trial Frequency</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Trial 1</th>' +
  '<th scope="col">Trial 2</th>' +
  '<th scope="col">Trial 3</th>' +
  '<th scope="col">Trial 4</th>' +
  '<th scope="col">Trial 5</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>8.25</td>' +
  '<td>10.2</td>' +
  '<td>11.5</td>' +
  '<td>12.2</td>' +
  '<td>12.5</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrSt</td>' +
  '<td>12</td>' +
  '<td>12.4</td>' +
  '<td>12.5</td>' +
  '<td>12.75</td>' +
  '<td>12.75</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InMv</td>' +
  '<td>1</td>' +
  '<td>0.5</td>' +
  '<td>0.25</td>' +
  '<td>0.1</td>' +
  '<td>0.1</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InSt</td>' +
  '<td>No data</td>' +
  '<td>3.75</td>' +
  '<td>2.5</td>' +
  '<td>1.5</td>' +
  '<td>1.25</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">DI</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '</tr>' +

  '</table>';


var DESC_GENDER_DIFFERENCES_CRMV = '<p>A bar graph for the “Gender Differences - CrMv” data. The <i>X</i> axis represents gender and has one bar for men and one for women. Each bar also has an error bar at the top that includes the frequency or height of the bar in the middle. The “CrMv” scores displayed in the graph represent the score for correctly identified object as having moved.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 15 in increments of 1.  The following table represents the approximate data that displays for this graph.  The error bar range is provided after each frequency.</p> ';

var TABLE_DESC_GENDER_DIFFERENCES_CRMV = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="2" scope="col">Gender Differences – CrMv<br>Frequency and Error Bar Range</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Men</th>' +
  '<th scope="col">Women</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>10.5 [10-11]</td>' +
  '<td>11 [10.5-11.5]</td>' +
  '</tr>' +
  '</table>';

var DESC_GENDER_DIFFERENCES_CRMV_RESTRICTED = '<p>A bar graph for the “Gender Differences – CrMv – Restricted” data. The <i>X</i> axis represents gender and has one bar for men and one for women. Each bar also has an error bar at the top that includes the frequency or height of the bar in the middle.  The “CrMv” scores displayed in the graph represent the score for correctly identified object as having moved.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 10 to 12 in increments of 1.  This graph only differs from the “Gender Differences – CrMv” graph in that the <i>Y</i> axis has a restricted range from 10 to 12 instead of 0 to 15.  The data for this graph is the same as the “Gender Differences – CrMv” graph, which is as follows:</p> ';

var TABLE_DESC_GENDER_DIFFERENCES_CRMV_RESTRICTED = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="2" scope="col">Gender Differences – CrMv<br>Frequency and Error Bar Range</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Men</th>' +
  '<th scope="col">Women</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>10.5 [10-11]</td>' +
  '<td>11 [10.5-11.5]</td>' +
  '</tr>' +
  '</table>';

var DESC_TRIAL_1 = '<p>A bar graph for data from “Trial 1”. The <i>X</i> axis represents the different scores obtained for each participant for that trial. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct.</p> <p>There are two bars for each score type, one representing scores for men and one for women. Each bar also has an error bar at the top that includes the frequency or height of the bar in the middle. The bars are highest for the “CrSt” scores, and lowest for the “InMv” scores, on all trials and for both sexes.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  The following table represents the approximate data that displays for this graph.  The error bar range is provided after each frequency, except for “DI”.</p> ';

var TABLE_DESC_TRIAL_1 = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="2" scope="col">Trial 1 - Frequency and Error Bar Range</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Men</th>' +
  '<th scope="col">Women</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>8 [7.5-8.5]</td>' +
  '<td>8.25 [8-8.5]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrSt</td>' +
  '<td>11.75 [11.5-12]</td>' +
  '<td>11.9 [11.8-12]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InMv</td>' +
  '<td>1.25 [1-1.5]</td>' +
  '<td>1 [0.9-1.1]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InSt</td>' +
  '<td>6 [5.5-6.5]</td>' +
  '<td>5.75 [5.25-6.25]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">DI</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '</tr>' +
  '</table>';


var DESC_TRIAL_2 = '<p>A bar graph for data from “Trial 2”. The <i>X</i> axis represents the different scores obtained for each participant for that trial. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – Incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct.</p> <p>There are two bars for each score type, one representing scores for men and one for women. Each bar also has an error bar at the top that includes the frequency or height of the bar in the middle. The bars are highest for the “CrSt” scores, and lowest for the “InMv” scores, on all trials and for both sexes.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  The following table represents the approximate data that displays for this graph.  The error bar range is provided after each frequency, except for “DI”.</p> ';

var TABLE_DESC_TRIAL_2 = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="2" scope="col">Trial 2 - Frequency and Error Bar Range</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Men</th>' +
  '<th scope="col">Women</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>9.8 [9.4-10.2]</td>' +
  '<td>10.2 [10-10.4]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrSt</td>' +
  '<td>12.1 [12-12.2]</td>' +
  '<td>12.2 [12.1-12.3]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InMv</td>' +
  '<td>0.75 [0.65-0.85]</td>' +
  '<td>0.5 [0.4-0.6]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InSt</td>' +
  '<td>4.1 [3.9-4.3]</td>' +
  '<td>3.6 [3.1-4.1]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">DI</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '</tr>' +


  '</table>';

var DESC_TRIAL_3 = '<p>A bar graph for data from “Trial 3”. The <i>X</i> axis represents the different scores obtained for each participant for that trial. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – Incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct.</p> <p>There are two bars for each score type, one representing scores for men and one for women. Each bar also has an error bar at the top that includes the frequency or height of the bar in the middle. The bars are highest for the “CrSt” scores, and lowest for the “InMv” scores, on all trials and for both sexes.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  The following table represents the approximate data that displays for this graph.  The error bar range is provided after each frequency, except for “DI”.</p> ';

var TABLE_DESC_TRIAL_3 = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="2" scope="col">Trial 3 - Frequency and Error Bar Range</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Men</th>' +
  '<th scope="col">Women</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>11 [10.5-11.75]</td>' +
  '<td>11.5 [11-12]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrSt</td>' +
  '<td>12.2 [12.1-12.3]</td>' +
  '<td>12.3 [12.28-12.32]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InMv</td>' +
  '<td>0.5 [0.3-0.7]</td>' +
  '<td>0.25 [0.2-0.3]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InSt</td>' +
  '<td>2.75 [2.25-3.25]</td>' +
  '<td>2.5 [2-3]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">DI</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '</tr>' +
  '</table>';

var DESC_TRIAL_4 = '<p>A bar graph for data from “Trial 4”. The <i>X</i> axis represents the different scores obtained for each participant for that trial. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – Incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct. </p> <p>There are two bars for each score type, one representing scores for men and one for women. Each bar also has an error bar at the top that includes the frequency or height of the bar in the middle. The bars are highest for the “CrSt” scores, and lowest for the “InMv” scores, on all trials and for both sexes.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  The following table represents the approximate data that displays for this graph.  The error bar range is provided after each frequency, except for “DI”.</p> ';

var TABLE_DESC_TRIAL_4 = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="2" scope="col">Trial 4 - Frequency and Error Bar Range</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Men</th>' +
  '<th scope="col">Women</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>11.5 [11-12]</td>' +
  '<td>12.2 [11.9-12.5]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrSt</td>' +
  '<td>12.5 [12.3-12.7]</td>' +
  '<td>12.75 [12.7-12.8]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InMv</td>' +
  '<td>0.5 [0.4-0.3]</td>' +
  '<td>0.2 [0.1-0.3]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InSt</td>' +
  '<td>2.5 [2-3]</td>' +
  '<td>1.75 [1.25-2.25]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">DI</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '</tr>' +
'</table>';

var DESC_TRIAL_5 = '<p>A bar graph for data from “Trial 5”. The <i>X</i> axis represents the different scores obtained for each participant for that trial. The scores are labeled with the following: “CrMv” – correctly identifies object has moved; “CrSt” – correctly identifies the object did not move but was stationary”; “InMv” – Incorrectly identifies object has moved”; “InSt” – Incorrectly identifies the object did not move but was stationary; and “DI” – differential index, which indicates the proportion of overall responses that were correct.</p> <p>There are two bars for each score type, one representing scores for men and one for women. Each bar also has an error bar at the top that includes the frequency or height of the bar in the middle. The bars are highest for the “CrSt” scores, and lowest for the “InMv” scores, on all trials and for both sexes.</p> <p>The <i>Y</i> axis is titled “Frequency” and ranges from 0 to 14 in increments of 2.  The following table represents the approximate data that displays for this graph.  The error bar range is provided after each frequency, except for “DI”.</p> ';

var TABLE_DESC_TRIAL_5 = '<table class="descriptionTable">' +
  '<tr>' +
  '<th></th>' +
  '<th colspan="2" scope="col">Trial 5 - Frequency and Error Bar Range</th>' +
  '</tr>' +
  '<tr>' +
  '<th scope="col">Response</th>' +
  '<th scope="col">Men</th>' +
  '<th scope="col">Women</th>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrMv</td>' +
  '<td>12 [11.75-12.75]</td>' +
  '<td>12.5 [12-13]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">CrSt</td>' +
  '<td>12.5 [12.4-12.6]</td>' +
  '<td>12.7 [12.65-12.75]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InMv</td>' +
  '<td>0.35 [0.25-0.45]</td>' +
  '<td>0.1 [0-0.2]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">InSt</td>' +
  '<td>1.9 [1.4-2.4]</td>' +
  '<td>1.6 [1-2]</td>' +
  '</tr>' +

  '<tr>' +
  '<th scope="row">DI</td>' +
  '<td>0.8</td>' +
  '<td>0.8</td>' +
  '</tr>' +

  '</table>';

var DESC_CRMV_INST = 'A bar graph depicting the number of times participants correctly identified that an object had moved and the number of times participants incorrectly identified that the object did not move over the course of 5 trials.';








