/**
 * Created by Lupachev on 16.01.2018.
 */
var ua = window.navigator.userAgent;
var iOS = !!navigator.platform && /iPad|iPhone|iPod/.test( navigator.platform );
var isAndroid = ua.indexOf( "android" ) > -1;
function detectIE() {
  var ua = window.navigator.userAgent;
  var msie = ua.indexOf('MSIE ');
  if (msie > 0) {
    return parseInt(ua.substring(msie + 5, ua.indexOf('.', msie)), 10);
  }

  var trident = ua.indexOf('Trident/');
  if (trident > 0) {
    var rv = ua.indexOf('rv:');
    return parseInt(ua.substring(rv + 3, ua.indexOf('.', rv)), 10);
  }

  var edge = ua.indexOf('Edge/');
  if (edge > 0) {
    return parseInt(ua.substring(edge + 5, ua.indexOf('.', edge)), 10);
  }

  // other browser
  return false;
}
var macOSCheck = function () {
  return (navigator.userAgent.search(/Macintosh/i) !== -1);
};
var player_dev = Player_datavis.extend({
  initialize2: function () {
    this._super();

    if (iOS) {
      $('legend').attr('aria-hidden', false);
    }
    $('span[data-type="desc"]').each(function () {
      var $this = $(this);
      $this.attr('tabIndex', '0');
      if (macOSCheck() || iOS) {
        $this.replaceWith('<em data-type="desc">' + $this.text() + '</em>');
        return;
      }
      if (detectIE()) {
        $this.attr('aria-label', $this.text() + ' clickable');
      }
      if ($this.css('display') === 'block') {
        $this.css('display', 'inline');
      }
      var text = $this.text().toLowerCase();
      var descriptionText = '';
      switch(text) {
        case 'age':
          descriptionText = "The age of the participant, in years.";
          break;
        case 'block design':
          descriptionText = "The Block Design test from the Wechsler Adult Intelligence Scale—Third Edition (WAIS–III; Wechsler, 1997a), in which participants assembled blocks to match a design.";
          break;
        case 'spatial relations':
          descriptionText = "The Spatial Relations test from the Differential Aptitude Test battery (Bennett, Seashore, & Wesman, 1997), in which the participant determined the correspondence between assembled and unassembled three-dimensional objects.";
          break;
        case 'paper folding':
          descriptionText = "The Paper Folding test from the Educational Testing Service Kit of Factor-Referenced Cognitive Tests (Ekstrom, French, Harman, & Dermen, 1976), which required participants to identify the pattern of holes that would result from a sequence of folds of a piece of paper followed by a hole punch through the folded paper.";
          break;
        case 'average spatial':
          descriptionText = "A composite score of spatial ability calculated by averaging the scores from the Block Design, Spatial Relations, and Paper Folding tests.";
          break;
        case 'analysis-synthesis':
          descriptionText = "The Analysis–Synthesis test from the Woodcock–Johnson Cognitive Ability battery (Woodcock & Johnson, 1990), in which participants must use logical rules to determine relations among elements.";
          break;
        case 'raven matrices':
          descriptionText = "The Raven’s Advanced Progressive Matrices test (Raven, 1962), in which the participant selects the best completion of a missing cell in a matrix of geometric patterns.";
          break;
        case 'letter series':
          descriptionText = "A letter series completion test described by Noll and Horn (1998).";
          break;
        case 'average reasoning':
          descriptionText = "A composite score of reasoning ability calculated by averaging the scores from the Analysis-Synthesis, Raven Matrices, and Letter Series tests.";
          break;
        case 'logical memory':
          descriptionText = "The sum of idea units recalled across three stories in the Logical Memory test from the Wechsler Memory Scale—Third Edition (Wechsler, 1997b).";
          break;
        case 'recall':
          descriptionText = "The sum of words recalled across four repetitions of the same word list in the Word List test from the Wechsler Memory Scale—Third Edition.";
          break;
        case 'paired associates':
          descriptionText = "The number of word pairs recalled in a locally developed paired associates test involving two lists of six different word pairs.";
          break;
        case 'average memory':
          descriptionText = "A composite score of memory ability calculated by averaging the scores from the Logical memory, Recall, and Paired Associates tests.";
          break;
        case 'vocab':
          descriptionText = "A vocabulary test from the WAIS–III Intelligence Test which asked the participant to provide definitions for a list of target words.";
          break;
        case 'picture vocabulary':
          descriptionText = "The Picture Vocabulary test from the Woodcock–Johnson Cognitive Ability test in which the participant names pictures.";
          break;
        case 'average vocabulary':
          descriptionText = "A composite score of vocabulary calculated by averaging the scores from the Vocab and Picture Vocab tests.";
          break;
        case 'factor analysis':
          descriptionText = "A statistical technique that explains a large number of correlations in terms of a small number of underlying factors.";
          break;
        default:
          break;
      }
      $this.click(function (e) {
        e.preventDefault();
        Standard_Dialog.open(descriptionText, {title: 'Description'});
        $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').click(function () {
          $this.focus();
        });
        $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').css('top', window.pageYOffset);
        setTimeout( function () {
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
      }, 100);
      });
      $this.keydown(function (e) {
        if (e.which === 13 || e.which === 32) {
          e.preventDefault();
          Standard_Dialog.open(descriptionText, {title: 'Description'});
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').click(function () {
            $this.focus();
          });
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').css('top', window.pageYOffset);
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
        }
      });
    });
    if (macOSCheck() || iOS) {
      $('em[data-type="desc"]').each(function () {
        var $this_em = $(this);
        $('legend').attr('aria-hidden', false);
        $this_em.attr('tabIndex', 0);
        var text = $this_em.text().toLowerCase();
        var descriptionText = '';
        switch(text) {
          case 'age':
            descriptionText = "The age of the participant, in years.";
            break;
          case 'block design':
            descriptionText = "The Block Design test from the Wechsler Adult Intelligence Scale—Third Edition (WAIS–III; Wechsler, 1997a), in which participants assembled blocks to match a design.";
            break;
          case 'spatial relations':
            descriptionText = "The Spatial Relations test from the Differential Aptitude Test battery (Bennett, Seashore, & Wesman, 1997), in which the participant determined the correspondence between assembled and unassembled three-dimensional objects.";
            break;
          case 'paper folding':
            descriptionText = "The Paper Folding test from the Educational Testing Service Kit of Factor-Referenced Cognitive Tests (Ekstrom, French, Harman, & Dermen, 1976), which required participants to identify the pattern of holes that would result from a sequence of folds of a piece of paper followed by a hole punch through the folded paper.";
            break;
          case 'average spatial':
            descriptionText = "A composite score of spatial ability calculated by averaging the scores from the Block Design, Spatial Relations, and Paper Folding tests.";
            break;
          case 'analysis-synthesis':
            descriptionText = "The Analysis–Synthesis test from the Woodcock–Johnson Cognitive Ability battery (Woodcock & Johnson, 1990), in which participants must use logical rules to determine relations among elements.";
            break;
          case 'raven matrices':
            descriptionText = "The Raven’s Advanced Progressive Matrices test (Raven, 1962), in which the participant selects the best completion of a missing cell in a matrix of geometric patterns.";
            break;
          case 'letter series':
            descriptionText = "A letter series completion test described by Noll and Horn (1998).";
            break;
          case 'average reasoning':
            descriptionText = "A composite score of reasoning ability calculated by averaging the scores from the Analysis-Synthesis, Raven Matrices, and Letter Series tests.";
            break;
          case 'logical memory':
            descriptionText = "The sum of idea units recalled across three stories in the Logical Memory test from the Wechsler Memory Scale—Third Edition (Wechsler, 1997b).";
            break;
          case 'recall':
            descriptionText = "The sum of words recalled across four repetitions of the same word list in the Word List test from the Wechsler Memory Scale—Third Edition.";
            break;
          case 'paired associates':
            descriptionText = "The number of word pairs recalled in a locally developed paired associates test involving two lists of six different word pairs.";
            break;
          case 'average memory':
            descriptionText = "A composite score of memory ability calculated by averaging the scores from the Logical memory, Recall, and Paired Associates tests.";
            break;
          case 'vocab':
            descriptionText = "A vocabulary test from the WAIS–III Intelligence Test which asked the participant to provide definitions for a list of target words.";
            break;
          case 'picture vocabulary':
            descriptionText = "The Picture Vocabulary test from the Woodcock–Johnson Cognitive Ability test in which the participant names pictures.";
            break;
          case 'average vocabulary':
            descriptionText = "A composite score of vocabulary calculated by averaging the scores from the Vocab and Picture Vocab tests.";
            break;
          case 'factor analysis':
            descriptionText = "A statistical technique that explains a large number of correlations in terms of a small number of underlying factors.";
            break;
          default:
            break;
        }

        $this_em.click(function (e) {
          e.preventDefault();
          Standard_Dialog.open(descriptionText, {title: 'Description'});
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').click(function () {
            $this_em.focus();
          });
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').css('top', window.pageYOffset);
          setTimeout( function () {
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
          }, 100);
        });
        $this_em.keydown(function (e) {
          if (e.which === 13 || e.which === 32) {
            e.preventDefault();
            Standard_Dialog.open(descriptionText, {title: 'Description'});
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').click(function () {
              $this_em.focus();
            });
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').css('top', window.pageYOffset);
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
          }
        });
        var $parentNode = $this_em.parent().parent().parent();
        if ($parentNode.children()[0].tagName === "TD") {
          var em = $('<em tabindex="0" style="border: 2px solid white"'
              + ' class="aria-hidden"'
              + ' data-type="desc">' + $this_em.text() + ' clickable</em>');
          var ems = $parentNode.find('em[class="aria-hidden"][data-type="desc"]');
          if (ems.length > 0) {
            em.insertAfter($(ems[ems.length - 1]));
          }
          else {
            em.insertAfter($parentNode.find('.query_mc_other_choice'));
          }
        }
      });
      $('em[data-type="desc"][class="aria-hidden"]').each(function () {
        var $this_em = $(this);
        
        $this_em.attr('tabIndex', 0);
        var text = $this_em.text().toLowerCase().replace(' clickable', '');
        var descriptionText = '';
        switch(text) {
          case 'age':
            descriptionText = "The age of the participant, in years.";
            break;
          case 'block design':
            descriptionText = "The Block Design test from the Wechsler Adult Intelligence Scale—Third Edition (WAIS–III; Wechsler, 1997a), in which participants assembled blocks to match a design.";
            break;
          case 'spatial relations':
            descriptionText = "The Spatial Relations test from the Differential Aptitude Test battery (Bennett, Seashore, & Wesman, 1997), in which the participant determined the correspondence between assembled and unassembled three-dimensional objects.";
            break;
          case 'paper folding':
            descriptionText = "The Paper Folding test from the Educational Testing Service Kit of Factor-Referenced Cognitive Tests (Ekstrom, French, Harman, & Dermen, 1976), which required participants to identify the pattern of holes that would result from a sequence of folds of a piece of paper followed by a hole punch through the folded paper.";
            break;
          case 'average spatial':
            descriptionText = "A composite score of spatial ability calculated by averaging the scores from the Block Design, Spatial Relations, and Paper Folding tests.";
            break;
          case 'analysis-synthesis':
            descriptionText = "The Analysis–Synthesis test from the Woodcock–Johnson Cognitive Ability battery (Woodcock & Johnson, 1990), in which participants must use logical rules to determine relations among elements.";
            break;
          case 'raven matrices':
            descriptionText = "The Raven’s Advanced Progressive Matrices test (Raven, 1962), in which the participant selects the best completion of a missing cell in a matrix of geometric patterns.";
            break;
          case 'letter series':
            descriptionText = "A letter series completion test described by Noll and Horn (1998).";
            break;
          case 'average reasoning':
            descriptionText = "A composite score of reasoning ability calculated by averaging the scores from the Analysis-Synthesis, Raven Matrices, and Letter Series tests.";
            break;
          case 'logical memory':
            descriptionText = "The sum of idea units recalled across three stories in the Logical Memory test from the Wechsler Memory Scale—Third Edition (Wechsler, 1997b).";
            break;
          case 'recall':
            descriptionText = "The sum of words recalled across four repetitions of the same word list in the Word List test from the Wechsler Memory Scale—Third Edition.";
            break;
          case 'paired associates':
            descriptionText = "The number of word pairs recalled in a locally developed paired associates test involving two lists of six different word pairs.";
            break;
          case 'average memory':
            descriptionText = "A composite score of memory ability calculated by averaging the scores from the Logical memory, Recall, and Paired Associates tests.";
            break;
          case 'vocab':
            descriptionText = "A vocabulary test from the WAIS–III Intelligence Test which asked the participant to provide definitions for a list of target words.";
            break;
          case 'picture vocabulary':
            descriptionText = "The Picture Vocabulary test from the Woodcock–Johnson Cognitive Ability test in which the participant names pictures.";
            break;
          case 'average vocabulary':
            descriptionText = "A composite score of vocabulary calculated by averaging the scores from the Vocab and Picture Vocab tests.";
            break;
          case 'factor analysis':
            descriptionText = "A statistical technique that explains a large number of correlations in terms of a small number of underlying factors.";
            break;
          default:
            break;
        }

        $this_em.click(function (e) {
          e.preventDefault();
          Standard_Dialog.open(descriptionText, {title: 'Description'});
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').click(function () {
            $this_em.focus();
          });
          $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').css('top', window.pageYOffset);
          setTimeout( function () {
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
          }, 100);
        });
        $this_em.keydown(function (e) {
          if (e.which === 13 || e.which === 32) {
            e.preventDefault();
            Standard_Dialog.open(descriptionText, {title: 'Description'});
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').click(function () {
              $this_em.focus();
            });
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all').css('top', window.pageYOffset);
            $('.ui-dialog.ui-widget.ui-widget-content.ui-corner-all button').focus();
          }
        });
      });
    }
  }
});

player = new player_dev();